Name: H5set_free_list_limits
Signature:
  herr_t `H5set_free_list_limits`(int `reg_global_lim`, int `reg_list_lim`, int `arr_global_lim`, int `arr_list_lim`, int `blk_global_lim`, int `blk_list_lim` )
Purpose:
  Sets free-list size limits.
Description:
  `H5set_free_list_limits` sets size limits on all types of free lists. The HDF5 library uses free lists internally to manage memory. There are three types of free lists:
  - Regular free lists manage a single data structure.
  - Array free lists manage arrays of a data structure.
  - Block free lists manage blocks of bytes.
  Alternate phrasing?:
  - Regular free lists manage data structures containing atomic data.
  - Array free lists manage data structures containing array data.
  - Block free lists manage blocks of bytes.

  These are global limits, but each limit applies only to free lists of the specified type. Therefore, if an application sets a 1Mb limit on each of the global lists, up to 3Mb of total storage might be allocated, 1Mb for each of the regular, array, and block type lists.

  Using a value of `-1` for a limit means that no limit is set for the specified type of free list.

Parameters:

int `reg_global_lim` | IN: The limit on all regular free list memory used
int `reg_list_lim` | IN: The limit on memory used in each regular free list
int `arr_global_lim` | IN: The limit on all array free list memory used
int `arr_list_lim` | IN: The limit on memory used in each array free list
int `blk_global_lim` | IN: The limit on all block free list memory used
int `blk_list_lim` | IN: The limit on memory used in each block free list

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface:
  None.
History:

Release | C
1.6.0 | Function introduced in this release.